// priority : 0
onEvent('recipes', event => {

    //removing recipe
    function remove_recipe(inputCondition) {event.remove({output : inputCondition})}
    //swapping input of recipe
    function inputSwap(conditionInput, conditionOutput, currentItem, replacementItem){event.replaceInput({input : conditionInput, output:conditionOutput}, currentItem, replacementItem)}
    function remove(output, input){event.remove({output : output, input: input})}
    function thermalIngotRemove(ingot) {event.remove({output : 'thermal:' + ingot + '_ingot'})}
    
    event.shapeless("minecraft:wither_rose", ["minecraft:poppy", 'mysticalagriculture:wither_skeleton_essence'])
    event.shapeless('9x thermal:lumium_ingot', 'thermal:lumium_block')
    event.shaped('4x thermal:lumium_ingot', ['XXX', 'X X', 'XXX'], {X : 'mysticalagriculture:lumium_essence'})

    // glow berries
    event.shapeless('glow_berries', ['sweet_berries', 'glowstone_dust'])

    //removed recipe
    remove_recipe('mysticalagradditions:insanium_ingot')
    remove_recipe('avaritia:neutron_collector')
    remove_recipe('avaritia:infinity_ingot')
    remove_recipe('extendedexchange:final_star')
    remove_recipe('mysticalagriculture:inferium_ingot')
    remove_recipe('mysticalagriculture:prudentium_ingot')
    remove_recipe('mysticalagriculture:tertium_ingot')
    remove_recipe('mysticalagriculture:imperium_ingot')
    remove_recipe('mysticalagriculture:supremium_ingot')
    remove_recipe('mysticalagriculture:insanium_ingot')
    remove_recipe('allthemodium:unobtainium_rod')
    remove_recipe('allthemodium:vibranium_rod')
    remove_recipe('allthemodium:allthemodium_rod')
    remove_recipe('create:blaze_cake')
    remove_recipe('allthemodium:unobtainium_ingot')
    remove_recipe('projecte:tome')
    remove_recipe('draconicevolution:draconium_dust')
    remove_recipe('draconicevolution:draconium_ingot')
    remove_recipe('thermal:sapphire_ore')   //sapphire ore
    remove_recipe('thermal:sapphire_dust')  //sapphire dust 
    remove_recipe('thermal:sapphire')   //sapphire
    remove_recipe('projecte:condenser_mk1') //energy condenser mk1
    remove_recipe('projecte:condenser_mk2') //energy condenser mk2
    remove_recipe('projecte:transmutation_table') //transmutation table
    remove_recipe('create:cut_limestone')   //cut limestone
    remove_recipe('projecte:philosophers_stone')//philosophers stone
    remove_recipe('mysticalagriculture:infusion_altar') //infusion altar
    remove_recipe('mysticalagriculture:infusion_pedestal')  //infusion pedestal
    remove_recipe('thermal:bronze_ingot')   //bronze ingot
    remove_recipe('bloodsmeltery:bloodbrass_ingot') //bloodbrass_ingot
    remove_recipe('thermal:upgrade_augment_1')  //hardened integral components
    remove_recipe('thermal:upgrade_augment_2')  //reinforced integral components
    remove_recipe('thermal:upgrade_augment_3')  //resonant integral components
    remove_recipe('ftbic:empty_can')
    remove_recipe('projecte:collector_mk1')
    remove_recipe('bloodmagic:lavacrystal')
    remove_recipe('bloodmagic:altar')
    remove_recipe('ae2:condenser')
    remove_recipe('fluxnetworks:flux_core')
    remove_recipe('ae2:fluix_crystal_seed')
    remove_recipe('ae2:certus_crystal_seed')
    remove_recipe('ae2:charger')
    remove_recipe('ftbic:centrifuge')
    remove_recipe('mob_grinding_utils:gm_chicken_feed_cursed')
    remove_recipe('mysticalagriculture:master_infusion_crystal')
    remove_recipe('mysticalagriculture:dragon_egg_chunk')
    remove_recipe('gobber2:gobber2_helmet_dragon')
    remove_recipe('gobber2:gobber2_chestplate_dragon')
    remove_recipe('gobber2:gobber2_leggings_dragon')
    remove_recipe('gobber2:gobber2_boots_dragon')
    remove_recipe('ftbic:enderium_ingot')
    remove_recipe('ftbic:antimatter_crystal')
    remove_recipe('tconstruct:blood_cake')
    remove_recipe('create:rotation_speed_controller')
    event.remove({id: "allthemodium:vibranium_dust_from_ore_crushing"})
    event.remove({id: "allthemodium:allthemodium_dust_from_ore_crushing"})
    event.remove({output: 'draconicevolution:wyvern_chestpiece'})
    event.remove({output: 'draconicevolution:wyvern_sword'})
    event.remove({id: 'mysticalagradditions:essence/neutronium_nugget'})
    event.remove({output: 'projecte:rm_pick'})
    event.remove({output: 'projecte:rm_sword'})
    event.remove({output: 'draconicevolution:wyvern_pickaxe'})
    event.remove({output : 'ftbic:copper_coil'})
    event.remove({output : 'mysticalagriculture:prismarine_agglomeratio'})
    event.remove({input : 'ae2:fluix_crystal', output : 'ae2:fluix_dust'})
    event.remove({input : 'ae2:fluix_crystal', output : 'ae2:fluix_dust'})
    event.remove({input : 'mysticalagriculture:fluix_essence', output : 'ae2:fluix_crystal'})
    event.remove({output : 'tconstruct:amethyst_bronze_ingot', input : 'minecraft:copper_ingot'})
    event.remove({id: 'create_sa:netherrack_recipe'})
    event.remove({ output : 'mysticalagriculture:inferium_essence'})    //inferium essence
    event.remove({ output : 'mysticalagriculture:prudentium_essence'})  //prudentium essence
    event.remove({ output : 'mysticalagriculture:tertium_essence'})     //te
    event.remove({ output : 'mysticalagriculture:imperium_essence'})
    event.remove({ output : 'mysticalagriculture:supremium_essence'})
    event.remove({ output : 'mysticalagradditions:insanium_essence'})
    event.remove({output : "create:andesite_alloy"})    //andesite alloy
    event.remove({output : "minecraft:furnace"})    //furnace
    event.remove({output : "bloodmagic:apprenticebloodorb"})    //apprentice blood orb
    event.remove({output : 'bloodmagic:weakbloodorb'})  //weak blood orb
    event.remove({output : 'bloodmagic:daggerofsacrifice'}) //dagger of sacrifice
    event.remove({output : 'thermal:ruby_dust'})    //ruby dust
    event.remove({output : 'thermal:lightning_charge'}) //lightning charge
    event.remove({input : "minecraft:lapis_lazuli", output : "minecraft:prismarine_shard"}) //prismarine shard
    event.remove({output : 'minecraft:glowstone_dust'}) //glowstone dust
    event.remove({output : 'bloodmagic:alchemicalreactionchamber'}) //alchemical reaction chamber
    event.remove({output : 'createsifter:andesite_mesh'})   //andesite mesh
    event.remove({output : 'createsifter:zinc_mesh'})   //zinc mesh
    event.remove({output : 'bloodmagic:life_essence_bucket'})   //life essence bucket
    event.remove({output : 'minecraft:bedrock'})    //bedrock
    event.remove({output : 'minecraft:dirt'})   //dirt
    event.remove({input : 'mysticalagriculture:stone_essence', output : 'minecraft:cobblestone'})   //cobblestone
    event.remove({input : 'mysticalagriculture:dirt_essence', output : 'minecraft:gravel'}) //gravel
    event.remove({input : 'minecraft:andesite', output : 'bloodmagic:blankslate'})  //blank slate
    event.remove({output : 'decorative_blocks:rocky_dirt'}) //rocky dirt
    event.remove({output : 'create:empty_blaze_burner'})    //empty balze burner
    event.remove({output : 'create:blaze_burner'})  //blaze burner
    event.remove({output : 'storagenetwork:kabel'}) //cable
    event.remove({output : 'bloodmagic:alchemytable'})  //alchemy table
    event.remove({output : 'bloodmagic:soulforge'}) //hell forge
    event.remove({output : 'mob_grinding_utils:absorption_hopper'}) //absorption hopper
    event.remove({output : 'millstone'})    //millstone
    event.remove({output : 'mob_grinding_utils:fan_upgrade_width'}) //width fan upgrade
    event.remove({output: "bloodmagic:sanguinereverter"})   //sanguine reverter
    event.remove({id: 'tconstruct:smeltery/alloys/molten_enderium'})

    //thermal ingots removed recipes
    thermalIngotRemove('electrum')
    thermalIngotRemove('constantan')
    thermalIngotRemove('rose_gold')
    thermalIngotRemove('lumium')
    thermalIngotRemove('signalum')
    thermalIngotRemove('enderium')
    thermalIngotRemove('bronze')
    thermalIngotRemove('invar')

    //elevator
    event.shapeless('create:elevator_contact', ['create:rose_quartz_lamp', 'createaddition:portable_energy_interface'])

    //rotation speed controller
    event.shaped('create:rotation_speed_controller',[' a ','bcd',' e '],{a:'create:shaft', b:'create:large_cogwheel',c:'createaddition:iron_wire',d:'create:cogwheel',e:'create:brass_casing'})

    //phantom membrane
    event.shaped('minecraft:phantom_membrane',['a  ',' a ','  a'],{a: 'mysticalagriculture:chicken_essence'})

    //air
    event.shaped('minecraft:structure_void',['AAA','AAA','AAA'], {A: 'mysticalagriculture:air_essence'})

    //neutron pile
    event.shapeless('9x avaritia:neutron_pile',['mysticalagriculture:neutronium_essence'])
    
    //magnet
    event.replaceInput({output:'draconicevolution:magnet'},'draconicevolution:dislocator','simplemagnets:advancedmagnet')

    //blast chiller
    event.replaceInput({output: 'thermal:machine_chiller'}, 'minecraft:packed_ice','thermal:signalum_block')

    // skyslime
    event.smithing('tconstruct:sky_slime_crystal', 'minecraft:amethyst_shard', 'minecraft:slime_ball')

    //hose pulley
    event.replaceInput({output: 'create:hose_pulley'},'#forge:plates/copper','create:precision_mechanism')

    //creative crate
    event.smithing('create:creative_crate', 'storagedrawers:oak_full_drawers_1',Item.of('tconstruct:creative_slot', '{slot:"abilities"}'))

    //creative energy cell powah
    event.smithing('powah:energy_cell_creative', 'powah:energy_cell_nitro',Item.of('tconstruct:creative_slot', '{slot:"abilities"}'))

    //creative battery ftbic
    event.smithing('ftbic:creative_battery', 'ftbic:ev_battery','powah:energy_cell_creative')

    //creative drawwer upgrade
    event.smithing('storagedrawers:creative_storage_upgrade', 'storagedrawers:emerald_storage_upgrade',Item.of('tconstruct:creative_slot', '{slot:"abilities"}'))

    //creative vending upgrade
    event.smithing('storagedrawers:creative_vending_upgrade', 'storagedrawers:creative_storage_upgrade','minecraft:magenta_dye')

    // temporal pouch
    event.replaceInput({output : 'gag:time_sand_pouch'}, 'minecraft:raw_gold_block', 'minecraft:gold_block')
    event.replaceInput({output : 'gag:time_sand_pouch'}, 'minecraft:nautilus_shell', 'biomancy:mob_marrow')

    // alchemy table
    event.replaceInput({output : 'extendedexchange:alchemy_table'}, 'extendedexchange:stone_table', 'extendedexchange:pink_collector')
    
    //watering can
    event.replaceInput({output: 'thermal:watering_can'}, '#forge:ingots/bronze', 'minecraft:copper_ingot')
    
    //alchemical table
    event.replaceInput({output: 'extendedexchange:alchemical_table'}, 'extendedexchange:stone_table','bloodmagic:arcane_ashes')

    //tesla coil
    event.replaceInput({output: 'createaddition:tesla_coil'}, 'create:brass_sheet', 'ftbic:industrial_grade_metal')

    //master ritual stone
    event.replaceInput({output: 'bloodmagic:masterritualstone'}, 'minecraft:obsidian', 'storagenetwork:master')
    
    //stone table
    event.replaceInput({output: 'extendedexchange:stone_table'},'minecraft:stone_bricks','projecte:transmutation_table')

    //draconium dust
    event.shaped('draconicevolution:draconium_dust',['AAA','A A','AAA'], {A: 'mysticalagriculture:draconium_essence'})

    //elytra
    event.shaped('minecraft:elytra',['ABA','CEC','D D'], {A: 'allthemodium:unobtainium_rod', B: 'gobber2:dragon_star', C: 'tconstruct:silky_cloth', D: 'minecraft:white_wool', E: 'angelblockrenewed:angel_block'})

    //final star
    event.shaped('extendedexchange:final_star',['AAA','ABA','AAA'], {A: 'extendedexchange:final_power_flower', B: 'avaritia:infinity_ingot'}).keepIngredient('avaritia:infinity_ingot')
    
    //easy dirt recipe
    event.shaped('6x dirt',[' a ','aba',' a '],{a:'coarse_dirt',b: 'thermal:lightning_charge'}).keepIngredient('thermal:lightning_charge')

    // blood altar
    event.shaped('bloodmagic:altar', ['S S','RBR','AAA'], {R : 'bloodmagic:blankslate', S: 'minecraft:redstone', B: 'create:basin', A:'bloodmagic:blankrune'})
    

    // matter condenser
    event.shaped('ae2:condenser', ['ABA','NXN','ABA'], {X : 'ae2:spatial_storage_cell_128', B: 'ftbic:iridium_circuit', N : 'ftbic:component_heat_vent', A : "ftbic:iridium_plate"})


    // inscriber
    inputSwap('minecraft:copper_ingot', 'ae2:inscriber', 'minecraft:sticky_piston', 'ae2:fluix_block')

    // charger
    event.shaped('ae2:charger', ['ABA', 'X  ', 'ABA'], {A: 'minecraft:iron_ingot', B: 'minecraft:copper_ingot', X: 'ae2:fluix_crystal'})

    // FTB INDUSTRIAL CONTRAPTIONS

    // antimatter constructor
    inputSwap('minecraft:glowstone_dust', 'ftbic:antimatter_constructor', 'minecraft:glowstone_dust', 'ftbic:iridium_plate')
    inputSwap('minecraft:nether_star', 'ftbic:antimatter_constructor', 'minecraft:nether_star', 'ae2:singularity')

    // centrifuge
    inputSwap('ftbic:electronic_circuit')

    // quickcraft chestes and sticks from logs
    event.shaped('4x minecraft:chest', ['AAA', 'A A', 'AAA'], {A: "#minecraft:logs"})
    event.shaped('16x minecraft:stick', ['A', 'A'], {A: "#minecraft:logs"})
    
    //neutronium collector
    event.shaped('avaritia:neutron_collector',['AAA','BCB','AAA'],{A: 'avaritia:crystal_matrix_block',B: 'minecraft:netherite_block',C: 'avaritia:neutronium_block'})

    //wither skeleton skull
    event.shaped('minecraft:wither_skeleton_skull',
    ['ABA','CDC','EBE'],
    {
        A: 'mysticalagriculture:coal_essence',
        B: 'mysticalagriculture:basalt_essence',
        C: 'mysticalagriculture:sky_stone_essence',
        D: 'minecraft:skeleton_skull',
        E: 'mysticalagriculture:graphite_essence'
    })

    //quartz enriched iron
    event.shaped('8x refinedstorage:quartz_enriched_iron',
    ['ABB','BBB','BBB'],
    {
        A: 'mysticalagriculture:nether_quartz_essence',
        B: 'minecraft:iron_ingot',
    })


    // gm chicken feed
    event.shapeless(Item.of('mob_grinding_utils:gm_chicken_feed_cursed'), [

        Item.of("animalcrops:seeds", {entity: "minecraft:chicken"}),
        Item.of("animalcrops:seeds", {entity: "minecraft:cow"}),
        Item.of("animalcrops:seeds", {entity: "minecraft:panda"}),
        Item.of("animalcrops:seeds", {entity: "minecraft:wolf"}),
        Item.of("animalcrops:seeds", {entity: "minecraft:sheep"}),
        Item.of("animalcrops:seeds", {entity: "minecraft:pig"})
    ])

    //squid seeds
    event.shaped('mysticalagriculture:squid_seeds', 
    [" A ", "ABA", " A "], 
    {
        B: "mysticalagriculture:nature_essence",
        A: "mysticalagriculture:water_essence",
    })

    //chicken seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:chicken"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "minecraft:diamond",
    })

    //cow seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:cow"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "minecraft:dried_kelp_block",
    })
    
    //pig seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:panda"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "thermal:bamboo_block",
    })

    //wolf seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:wolf"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "minecraft:bone_block",
    })

    //sheep seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:sheep"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "minecraft:white_wool",
    })
    
    //pig seeds
    event.shaped(Item.of("animalcrops:seeds", {entity: "minecraft:pig"}), 
    [" A ", "ABA", " A "], 
    {
        A: "mysticalagriculture:nature_essence",
        B: "decorative_blocks:rocky_dirt",
    })

    //energizing orb
    event.replaceInput({output: 'powah:energizing_orb'}, 'powah:dielectric_casing', 'thermal:sapphire')
    
    //induction smelter
    event.replaceInput({output: 'thermal:machine_smelter'},'thermal:invar_gear','ftbic:uranium_gear')

    //hepatizon
    event.replaceInput({output: 'tconstruct:hepatizon_ingot', input: 'tconstruct:cobalt_ingot'}, 'tconstruct:cobalt_ingot', 'thermal:invar_ingot')

    //inscription tool:fire
    event.replaceInput({output : 'bloodmagic:firescribetool'}, 'minecraft:magma_cream', 'minecraft:quartz')
    
    //inscription tool:earth
    event.replaceInput({output : 'bloodmagic:earthscribetool'}, 'minecraft:obsidian', 'minecraft:grass_block')
    
    //inscription tool:air
    event.replaceInput({output : 'bloodmagic:airscribetool'}, 'minecraft:ghast_tear', 'minecraft:glowstone_dust')
    
    //inscription tool:dusk
    event.replaceInput({output : 'bloodmagic:duskscribetool'}, 'minecraft:coal_block', 'thermal:sapphire')
    
    //proppeler
    inputSwap('create:andesite_alloy', 'create:propeller', '#forge:plates/iron', 'minecraft:iron_ingot')
    
    //deployer
    inputSwap("create:andesite_casing", "create:deployer", "create:electron_tube", "create_sa:heat_engine")

    //rocky dirt
    event.shaped("3x decorative_blocks:rocky_dirt", 
    ["AA ", "AB ", "   "], 
    {
        A: "minecraft:dirt",
        B: "minecraft:gravel",
    })

    //dirt & stone essence nerfs
    event.shaped("8x minecraft:dirt", 
    ["AA ", "AA ", "   "], 
    {
        A: "mysticalagriculture:dirt_essence",
    })
    event.shaped("8x minecraft:cobblestone", 
    ["AA ", "AA ", "   "], 
    {
        A: "mysticalagriculture:stone_essence",
    })
    event.shaped("8x minecraft:gravel",
    ["AB ", "BA ", "   "], 
    {
        A: "mysticalagriculture:dirt_essence",
        B: "mysticalagriculture:stone_essence",
    })

    //andesite
    event.shaped("8x minecraft:andesite", 
    ["ABA", "B B", "ABA"], 
    {
        A: "minecraft:cobblestone",
        B: "minecraft:gravel",
    })

    //external storage
    event.replaceInput({output : 'refinedstorage:external_storage'}, 'refinedstorage:cable', 'refinedstorage:machine_casing')

    //aqueous accumulator
    event.replaceInput({output : 'thermal:device_water_gen'}, '#forge:ingots/bronze', 'minecraft:copper_ingot')

    //blaze burner
    event.shaped('create:empty_blaze_burner', 
    [' A ','ABA',' A ',],
    {
        A: 'minecraft:iron_block',
        B: 'minecraft:dried_kelp_block',
    }) 
    
    // bone fragment
    event.shaped("4x biomancy:bone_fragments", 
    [" AB", "ABA", "BA "], 
    {
        A: "minecraft:quartz",
        B : "mysticalagriculture:nature_essence"
    }) 

    // cleaver
    event.shaped("biomancy:bone_cleaver", 
    [" AA", "AB ", "B  "], 
    {
        A: "biomancy:bone_fragments",
        B: "minecraft:stick"
    })

    //all dynamos
    event.replaceInput({output : '#thermal:dynamos'}, '#forge:gears', 'thermal:silver_gear')

    //cobbler
    inputSwap("minecraft:glass", "#kubejs:cobblegen", "minecraft:lava_bucket", "minecraft:fire_charge")

    //fire charge
    event.replaceInput({output : 'minecraft:fire_charge'}, 'minecraft:blaze_powder', 'thermal:lightning_charge')

    //apparatus armementis
    event.shaped('kubejs:apparatus_armamentis', 
    ['AAA','BCB','DED',],
    {
        A: 'minecraft:deepslate',
        B: 'bloodmagic:infusedslate',
        C: ['bloodmagic:magicianbloodorb', 'bloodmagic:masterbloodorb','bloodmagic:archmagebloodorb'],
        D: 'tinkers_reforged:gelot_block' ,  
        E :'minecraft:furnace' 
    }) 
            
    // heat engine (made with love btw)
    event.shaped("create_sa:heat_engine", 
    ["XXX", "CDB", "XEF"], 
    {
        X : "create:andesite_alloy",
        B : "create:shaft",
        C : "create:cogwheel",
        D : "create:large_cogwheel",
        E : "minecraft:blaze_rod",
        F : "minecraft:copper_ingot"
    })

    //crushing wheel 
    event.shaped("2x create:crushing_wheel", 
    ["AAA", "ABA", "AAA"], 
    {
        B: "create:large_water_wheel",
        A: "minecraft:stone",
    })

    //network cable
    event.shaped("8x storagenetwork:kabel", 
    ["AAA", "BCB", "AAA"], 
    {
        A: "minecraft:stone_slab",
        B: "minecraft:iron_ingot",
        C: "bloodmagic:magicianbloodorb",
    })

    //energy collector pink mk5
    event.shaped("extendedexchange:pink_collector", 
    ["ABA", "DCD", "ABA"], 
    {
       A: "tconstruct:amethyst_bronze_ingot",
       B: "minecraft:calcite",
       C: "bloodmagic:lavacrystal",
       D: "minecraft:glowstone",
    })
   
    //crafting remote
    event.replaceInput({output : 'storagenetwork:crafting_remote'}, 'minecraft:ender_chest', 'storagenetwork:request')

    //collosal chests cores
    event.replaceInput({output : '#forge:colossalchestcore'}, 'minecraft:iron_ingot', 'minecraft:gunpowder')

    //network root
    event.replaceInput({output : 'storagenetwork:master'}, 'minecraft:diamond', 'bloodmagic:magicianbloodorb')

    //lava crystal
    event.shaped("bloodmagic:lavacrystal", 
    ["ABA", "BDB", "CEC"], 
    {
       A: "#forge:glass",
       B: "thermal:lightning_charge",
       C: "create:rose_quartz_tiles",
       D: "#kubejs:magicianorbplus",
       E: 'minecraft:diamond'
    })
   
    //ritual stone
     event.replaceInput({output : 'bloodmagic:ritualstone'}, 'minecraft:obsidian', 'create:rose_quartz_tiles')

    //alchemy table
    event.shaped("bloodmagic:alchemytable", 
    ["AAA", "BEB", "DCD"], 
    {
       A: "#bookshelf:stones",
       B: "#minecraft:planks",
       C: "bloodmagic:basemonstersoul",
       D: "minecraft:gold_ingot",
       E: "minecraft:iron_ingot",
    })

    //hellfire forge
    event.shaped("bloodmagic:soulforge", 
    ["A A", "BCB", "BDB"], 
    {
       A: "minecraft:iron_ingot",
       B: "minecraft:stone",
       C: "bloodmagic:basemonstersoul",
       D: "minecraft:iron_block",
    })

    //absorption hopper
    event.shaped("mob_grinding_utils:absorption_hopper", 
    [" A ", " B ", "BCB"], 
    {
        A: "minecraft:redstone_block",
        B: "tconstruct:seared_bricks",
        C: "thermal:lightning_charge",
    })

	//millstone
    event.shaped("create:millstone", 
    ["A", "B", "C"], 
    {
        A: "create:cogwheel", 
        B: "create:andesite_casing", 
        C: "minecraft:coal_block"
    })
    event.shaped("minecraft:crafting_table", 
    ['XX', 'XX'], 
    {
        X : "mysticalagriculture:wood_essence"
    })

})

//custom nbt's
onEvent('tags.items', event => 
{
    event.add('kubejs:powahthermogen', 'powah:thermo_generator_starter', 'powah:thermo_generator_basic', 'powah:thermo_generator_hardened', 'powah:thermo_generator_blazing', 'powah:thermo_generator_niotic', 'powah:thermo_generator_spirited', 'powah:thermo_generator_nitro')
    event.add('kubejs:powahreactor', 'powah:reactor_starter', 'powah:reactor_basic', 'powah:reactor_hardened', 'powah:reactor_blazing', 'powah:reactor_niotic', 'powah:reactor_spirited', 'powah:reactor_nitro')
    event.add('kubejs:colossalchestcore', 'colossalchests:colossal_chest_wood', 'colossalchests:colossal_chest_copper', 'colossalchests:colossal_chest_iron', 'colossalchests:colossal_chest_gold', 'colossalchests:colossal_chest_diamond', 'colossalchests:colossal_chest_obsidian' )
    event.add('kubejs:cobblegen', 'cobblefordays:tier_1', 'cobblefordays:tier_2', 'cobblefordays:tier_3', 'cobblefordays:tier_4', 'cobblefordays:tier_5' )
    event.add('kubejs:magicianorbplus','bloodmagic:magicianbloodorb','bloodmagic:masterbloodorb','bloodmagic:archmagebloodorb')
    event.add('kubejs:chaosfrags','draconicevolution:chaos_shard','draconicevolution:large_chaos_frag','draconicevolution:medium_chaos_frag','draconicevolution:small_chaos_frag')
})
    
