onEvent('recipes', event => {

    event.recipes.createFilling(Item.of('ftbic:fluid_cell', '{Fluid:"minecraft:water"}'), ['ftbic:fluid_cell', Fluid.of('water', 1000)])

    event.recipes.createDeploying('create:creative_blaze_cake', ['create:blaze_cake', 'bedrock'])

    event.remove({id : 'create:haunting/glow_berries'})

    event.recipes.createSplashing('sweet_berries', 'bloodmagic:weak_tau')
    event.recipes.createHaunting('bloodmagic:weak_tau','sweet_berries' )

    event.recipes.createDeploying(Item.of('kubejs:invincibility_talisman').withChance(0.05), ['bloodmagic:demonwillgauge', 'bloodmagic:averagelengtheningcatalyst'])

    event.recipes.createMilling('avaritia:infinity_catalyst', 'avaritia:infinity_ingot')

    function remove_recipe(inputCondition) {event.remove({output : inputCondition})}

    function inputSwap(conditionInput, conditionOutput, currentItem, replacementItem) {event.replaceInput({input : conditionInput, output:conditionOutput}, currentItem, replacementItem)}

    function Deploy(Output,Base,DeployedItem) {event.recipes.createDeploying(Output, [Base,DeployedItem])}
    event.smoking('minecraft:stone', 'minecraft:cobblestone')
    event.smoking('tconstruct:seared_brick', 'tconstruct:grout')
    event.smoking('minecraft:glass', 'minecraft:sand')
        
    //infinity upgrade
    event.recipes.createDeploying('pipez:infinity_upgrade', [ 'ftbic:carbon_plate','ftbic:iridium_circuit'])

    //allthemodium rod
    event.recipes.createMixing('allthemodium:allthemodium_rod',['allthemodium:allthemodium_ingot','tconstruct:rod_cast']).heated()
    event.recipes.createMixing('allthemodium:vibranium_rod',['allthemodium:vibranium_ingot','tconstruct:rod_cast']).heated()
    event.recipes.createMixing('allthemodium:unobtainium_rod',['allthemodium:unobtainium_ingot','tconstruct:rod_cast']).heated()

    //dragon armor gobber
    Deploy('gobber2:gobber2_helmet_dragon','allthemodium:unobtainium_helmet','gobber2:dragon_star')
    Deploy('gobber2:gobber2_chestplate_dragon','allthemodium:unobtainium_chestplate','gobber2:dragon_star')
    Deploy('gobber2:gobber2_leggings_dragon','allthemodium:unobtainium_leggings','gobber2:dragon_star')
    Deploy('gobber2:gobber2_boots_dragon','allthemodium:unobtainium_boots','gobber2:dragon_star')


    //transmutation tablet
    event.remove({output:'projecte:transmutation_tablet'})
    event.recipes.create.pressing('projecte:transmutation_tablet', 'projecte:transmutation_table')

    //refined storage creative disk
    event.recipes.createMixing('refinedstorage:creative_storage_disk',['ae2:creative_item_cell',Item.of('tconstruct:creative_slot', '{slot:"abilities"}')]).superheated()

    //soulcobble
    event.recipes.createHaunting('mysticalagriculture:soulstone_cobble','minecraft:blackstone')

    event.smithing('ftbic:creative_battery', 'ftbic:ev_battery','powah:energy_cell_creative')

    //creative ability
    event.recipes.createDeploying(Item.of('tconstruct:creative_slot', '{slot:"abilities"}'),['minecraft:bedrock','mysticalagradditions:creative_essence'])
   
    //creative motor
    event.recipes.createDeploying('create:creative_motor',['createaddition:electric_motor','create:creative_blaze_cake'])

    //soulium dust
    event.recipes.createHaunting('mysticalagriculture:soulium_dust','mysticalagriculture:soul_dust')

    // diamond
    event.recipes.createMixing('10x minecraft:diamond', ['3x biomancy:gem_fragments', '3x biomancy:bio_lumens', '2x biomancy:exotic_dust', 'biomancy:exotic_compound'])
    
    //blazing copper
    event.recipes.createMixing(Fluid.of('tinkers_reforged:molten_blazing_copper', 250), [Fluid.of('tconstruct:molten_copper', 270), 'minecraft:coal'])
    
    //flux core
    event.recipes.createMixing('fluxnetworks:flux_core',['4x fluxnetworks:flux_dust','4x obsidian','16x powah:crystal_nitro',Fluid.of('tinkers_reforged:molten_proto_lava')])

    //molten copper
    event.recipes.createMixing(Fluid.of('tconstruct:molten_copper', 90), ['minecraft:copper_ingot']).heated()
    
    //piroot ingot
    event.recipes.createMixing('tinkers_reforged:piroot_ingot',['bloodmagic:strong_tau','gobber2:gobber2_ingot_nether']).superheated()

    //flux dust
    event.recipes.createMixing('fluxnetworks:flux_dust',['powah:crystal_nitro',Fluid.of('minecraft:lava',1000)]).superheated()

    //draconium ingot
    event.recipes.createDeploying("draconicevolution:draconium_ingot", ["ftbic:scrap_box", "draconicevolution:draconium_dust"])
    
    //fish essence
    event.recipes.createMixing('4x mysticalagriculture:fish_essence',['mysticalagriculture:squid_essence','alloyed:steel_fishing_rod','minecraft:fishing_rod','mysticalagradditions:insanium_essence'])
    
    //string
    event.recipes.createMixing("minecraft:string", '4x minecraft:stick')

    //netherrack
    event.recipes.createFilling("minecraft:netherrack", ["minecraft:cobblestone",Fluid.of("bloodmagic:life_essence_fluid",100)])

    //glowstone dust
    event.recipes.createFilling("minecraft:glowstone_dust", ["thermal:lightning_charge",Fluid.of("minecraft:water", 1000)])

    //transmutation table
    event.recipes.createDeploying("projecte:transmutation_table", ["projecte:condenser_mk2", "projecte:philosophers_stone"])
    
    //cobbled deepslate
    event.recipes.createDeploying("minecraft:cobbled_deepslate", ["minecraft:stone_bricks", "mysticalagriculture:coal_essence"])
    
    //prismarine
    event.recipes.createHaunting("minecraft:prismarine_shard", "minecraft:lapis_lazuli")

    //lightning core
    event.recipes.createPressing('thermal:lightning_charge', 'thermal:blitz_powder')
     
	//fan width modifier
    event.recipes.createPressing('mob_grinding_utils:fan_upgrade_width', 'mob_grinding_utils:fan')

	//blitz powder
    event.recipes.createMixing("thermal:blitz_powder", ["bloodmagic:blankslate", "minecraft:lapis_lazuli", 'minecraft:quartz', Fluid.of('minecraft:water', 1000)])

    //cut limestone
    event.recipes.createPressing('create:cut_limestone', 'create:limestone')
    
    //philospher's stone
    event.recipes.createSandpaperPolishing('projecte:philosophers_stone', 'thermal:ruby')
    
    //creative capacitor draconic
    event.recipes.createDeploying("draconicevolution:creative_capacitor", ["draconicevolution:chaotic_capacitor", "ftbic:antimatter"])

    //allthemodium ingot
    event.recipes.createSandpaperPolishing('allthemodium:allthemodium_ingot', 'thermal:lumium_ingot')

    //vibranium ingot
    event.recipes.createDeploying("allthemodium:vibranium_ingot", ["thermal:enderium_ingot", "powah:crystal_blazing"])
    
    //unobtainium ingot
    event.recipes.createDeploying("allthemodium:unobtainium_ingot", ["powah:crystal_nitro", "ae2:fluix_pearl"])

    //sapphire essence
    event.recipes.createFilling("mysticalagriculture:sapphire_essence", ["mysticalagriculture:ruby_essence", Fluid.of('tconstruct:molten_enderium')])

    //blaze burner
    event.recipes.createMixing('create:blaze_burner', ['create:empty_blaze_burner', Fluid.of("bloodmagic:life_essence_fluid", 250)])

    //blood cake
    event.recipes.createFilling('tconstruct:blood_cake',['create:creative_blaze_cake', Fluid.of("bloodmagic:life_essence_fluid",1000)])
        
    //green screen
    event.recipes.createDeploying('kubejs:greenscreen',['ftbquests:screen_1','lime_dye'])



    //sequenced assemblyes

        //precission mechanism

        event.recipes.createSequencedAssembly([
            Item.of('create:precision_mechanism'),
            ], 'create_sa:heat_engine', [
            event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:golden_sheet']),
            event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'createaddition:copper_wire']),
            event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:brass_nugget']), 
            event.recipes.createPressing('create:incomplete_precision_mechanism', 'create:incomplete_precision_mechanism') 
            ]).transitionalItem('create:incomplete_precision_mechanism').loops(3)

        //sanguine reverter
        
        event.recipes.createSequencedAssembly([
        Item.of('bloodmagic:sanguinereverter'),
        ], 'minecraft:shears', [
        event.recipes.createDeploying('kubejs:incomplete_sanguinereverter', ['kubejs:incomplete_sanguinereverter', 'mysticalagriculture:prismarine_agglomeratio']), 
        event.recipes.createDeploying('kubejs:incomplete_sanguinereverter', ['kubejs:incomplete_sanguinereverter', 'bloodmagic:infusedslate']),
        event.recipes.createDeploying('kubejs:incomplete_sanguinereverter', ['kubejs:incomplete_sanguinereverter', 'gobber2:gobber2_globette']),
        event.recipes.createDeploying('kubejs:incomplete_sanguinereverter', ['kubejs:incomplete_sanguinereverter', 'minecraft:deepslate']), 
        event.recipes.createPressing('kubejs:incomplete_sanguinereverter', 'kubejs:incomplete_sanguinereverter') 
        ]).transitionalItem('kubejs:incomplete_sanguinereverter').loops(2)
        
        //saphire dust

        event.remove({output : 'thermal:sapphire_dust'})
        event.recipes.createSequencedAssembly([Item.of('thermal:sapphire_dust')],
         'mysticalagriculture:sapphire_essence', [
        event.recipes.createPressing('kubejs:incomplete_sapphire_dust', 'kubejs:incomplete_sapphire_dust'),
        event.recipes.createDeploying('kubejs:incomplete_sapphire_dust', ['kubejs:incomplete_sapphire_dust', 'tinkers_reforged:kepu_ingot']),
        event.recipes.createPressing('kubejs:incomplete_sapphire_dust', 'kubejs:incomplete_sapphire_dust'),
        event.recipes.createDeploying('kubejs:incomplete_sapphire_dust', ['kubejs:incomplete_sapphire_dust', 'tinkers_reforged:piroot_ingot']),
        event.recipes.createPressing('kubejs:incomplete_sapphire_dust', 'kubejs:incomplete_sapphire_dust') 
        ]).transitionalItem('kubejs:incomplete_sapphire_dust').loops(15)

        //hydraulic engine
        event.recipes.createSequencedAssembly([Item.of('create_sa:hydraulic_engine')], 'ftbic:dense_copper_plate', [

            event.recipes.createDeploying('create_sa:incomplete_hydraulic_engine', ['create_sa:incomplete_hydraulic_engine', 'thermal:fluid_cell']),
            event.recipes.createFilling('create_sa:incomplete_hydraulic_engine', ['create_sa:incomplete_hydraulic_engine', Fluid.of('tconstruct:molten_copper', 250)]),
            event.recipes.createFilling('create_sa:incomplete_hydraulic_engine', ['create_sa:incomplete_hydraulic_engine', Fluid.of('minecraft:water', 250)]),
            event.recipes.createDeploying('create_sa:incomplete_hydraulic_engine', ['create_sa:incomplete_hydraulic_engine', 'create_sa:heat_engine']),
            event.recipes.createPressing('create_sa:incomplete_hydraulic_engine', 'create_sa:incomplete_hydraulic_engine')

        ]).transitionalItem('create_sa:incomplete_hydraulic_engine').loops(1)

        // circuits
        
        remove_recipe('ftbic:electronic_circuit')
        let circuit1 = 'kubejs:incomplete_electronic_circuit';
        event.recipes.createSequencedAssembly([Item.of('ftbic:electronic_circuit')], 'ae2:printed_logic_processor', [
            event.recipes.createDeploying(circuit1, [circuit1, 'ftbic:lv_cable']),
            event.recipes.createDeploying(circuit1, [circuit1, 'ftbic:fuse'])
        ]).transitionalItem('kubejs:incomplete_electronic_circuit').loops(6)

        remove_recipe('ftbic:advanced_circuit')
        let circuit2 = 'kubejs:incomplete_electronic_circuit';
        event.recipes.createSequencedAssembly([Item.of('ftbic:advanced_circuit')], 'ftbic:electronic_circuit', [
            event.recipes.createDeploying(circuit2, [circuit2, 'ae2:printed_engineering_processor']),
            event.recipes.createDeploying(circuit2, [circuit2, 'ftbic:advanced_alloy']),
            event.recipes.createDeploying(circuit2, [circuit2, 'ftbic:fuse']),
            event.recipes.createDeploying(circuit2, [circuit2, 'ftbic:fuse'])
        ]).transitionalItem('kubejs:incomplete_advanced_circuit').loops(2)

        remove_recipe('ftbic:iridium_circuit')
        let circuit3 = 'kubejs:incomplete_iridium_circuit';
        event.recipes.createSequencedAssembly([Item.of('ftbic:iridium_circuit')], 'ftbic:advanced_circuit', [
            event.recipes.createDeploying(circuit3, [circuit3, 'ae2:printed_calculation_processor']),
            event.recipes.createDeploying(circuit3, [circuit3, 'ftbic:carbon_plate']),
            event.recipes.createDeploying(circuit3, [circuit3, 'ftbic:iridium_plate']),
            event.recipes.createDeploying(circuit3, [circuit3, 'ftbic:graphene']),
            event.recipes.createDeploying(circuit3, [circuit3, 'ftbic:fuse'])
        ]).transitionalItem('kubejs:incomplete_iridium_circuit').loops(2)

})
