
onEvent('tags.fluids', event => {

  event.add('allthemodium:molten_vibunob', 'allthemodium:molten_vibunob')
  event.add('kubejs:molten_processor', 'kubejs:molten_processor')
  event.add('create:bottomless/allow','bloodmagic:life_essence_fluid')
})

onEvent('tags.items', event =>{


  const singularities = [
    'netherite',
    'emerald',
    'iron',
    'amethyst',
    'iridium',
    'platinum',
    'diamond',
    'nickel',
    'silver',
    'copper',
    'quartz',
    'lapis',
    'redstone',
    'gold',
    'tin']

  for (let i = singularities.length - 1; i > -1; i--)
  {
    event.add('kubejs:singularities', "avaritia:" + singularities[i] + "_singularity")
  }
  
})

onEvent('recipes', event => {

  Ingredient.of('#forge:ingots').itemIds.forEach(ingot => {
    if (ingot != 'tconstruct:pig_iron_ingot') {
      event.shapeless("2x " + ingot, [ingot, 'create:refined_radiance'])
    }
  })

  event.remove({id : 'createaddition:mixing/bioethanol'})

  event.shapeless('2x avaritia:infinity_ingot', ['avaritia:infinity_ingot', 'create:refined_radiance'])

  function editSingularity(name)
  {
    event.remove({id : 'avaritia:' + name + '_singularity'})
    event.custom({
      "type": "avaritia:compressor",
      "result": {
        "item": "avaritia:" + name + "_singularity"
      },
      "cost": 15000,
      "ingredients": [
        {
          "tag": "forge:storage_blocks/" + name
        }
      ]
    })
  }


  // enderslime crystal

  event.remove({output : 'tconstruct:ender_slime_crystal'})
  event.custom({
    "type": "avaritia:compressor",
    "result": {
      "item": "tconstruct:ender_slime_crystal"
    },
    "cost": 10000,
    "ingredients": [
      {
        "item": "tconstruct:sky_slime_crystal"
      }
    ]
  })




  




  event.custom({
    "type": "avaritia:compressor",
    "result": {
      "item": "avaritia:matter_cluster"
    },
    "cost": 40000,
    "ingredients": [
      {
        "item": "ae2:singularity"
      }
    ]
  })


  event.custom({
    "type": "avaritia:compressor",
    "result": {
      "item": "ae2:creative_item_cell"
    },
    "cost": 16,
    "ingredients": [
      {
        "item": "ae2extras:64m_crafting_storage"
      }
    ]
  })


  Item.of('draconicevolution:mob_soul', "{RepairCost:0,display:{Name:'{\"text\":\"Spinny Pig\"}'}}")

  // paint balls

  event.custom({
    "type": "tconstruct:melting",
    "ingredient": {
      "item": "ftbic:iridium_circuit"
    },
    "result": {
      "fluid": "kubejs:molten_processor",
      "amount": 1
    },
    "temperature": 1500,
    "time": 36
  })

  event.shapeless('ae2:fluix_crystal', ['ae2:magenta_lumen_paint_ball'])
  event.recipes.createMechanicalCrafting('mysticalagriculture:prosperity_shard', ['A'], {A : 'ae2:white_lumen_paint_ball'})

  event.custom({
    "type": "tconstruct:melting",
    "ingredient": {
      "item": "ae2:light_blue_paint_ball"
    },
    "result": {
      "fluid": "tinkers_reforged:molten_kepu",
      "amount": 1
    },
    "temperature": 2500,
    "time": 36
  })


  event.custom({
    "type": "tconstruct:melting",
    "ingredient": {
      "item": "bloodmagic:sand_netherite"
    },
    "result": {
      "fluid": "tconstruct:molten_debris",
      "amount": 90
    },
    "temperature": 2500,
    "time": 36
  })

  event.custom({
    "type": "tconstruct:melting",
    "ingredient": {
      "item": "ae2:cyan_lumen_paint_ball"
    },
    "result": {
      "fluid": "bloodsmeltery:molten_hellforged",
      "amount": 1
    },
    "temperature": 2500,
    "time": 36
  })

  event.custom({
    "type": "tconstruct:melting",
    "ingredient": {
      "item": "ae2:light_blue_lumen_paint_ball"
    },
    "result": {
      "fluid": "tinkers_reforged:molten_gausum",
      "amount": 1
    },
    "temperature": 2500,
    "time": 36
  })


  event.custom({
    "type": "avaritia:compressor",
    "result": {
      "item": "mysticalagradditions:creative_essence"
    },
    "cost": 10,
    "ingredients": [
      {
        "item" : "mysticalagradditions:insanium_essence"
      }
    ]
  })

  editSingularity('netherite')
  editSingularity('emerald')
  editSingularity('iron')
  editSingularity('amethyst')
  editSingularity('platinum')
  editSingularity('diamond')
  editSingularity('nickel')
  editSingularity('silver')
  editSingularity('copper')
  editSingularity('quartz')
  editSingularity('lapis')
  editSingularity('redstone')
  editSingularity('gold')
  editSingularity('tin')
  editSingularity('lead')

  event.remove({id : 'avaritia:' + 'iridium' + '_singularity'})
    event.custom({
      "type": "avaritia:compressor",
      "result": {
        "item": "avaritia:" + 'iridium' + "_singularity"
      },
      "cost": 250,
      "ingredients": [
        {
          "tag": "forge:storage_blocks/" + 'iridium'
        }
      ]
    })


  event.custom({
    "type": "powah:energizing",
    "ingredients": [
    {"item": "tinkers_reforged:gausum_ingot"},
    {"item": "tconstruct:pig_iron_ingot"},
    {"item": "pipez:infinity_upgrade"},
    {"item": "minecraft:heart_of_the_sea"},
    {"item": "draconicevolution:dragon_heart"},
    {"item": "avaritia:gold_singularity"}
    ],
    "energy": 9824027561,
    "result": {
    "item": "allthemodium:piglich_heart"
    }
  })

    // primodial cradle
    inputSwap("minecraft:ender_eye", "biomancy:primordial_cradle", "minecraft:ender_eye", "minecraft:cauldron")


  // crystals

  // allthemodium
    event.custom({
      "type":"biomancy:bio_forging",
      "ingredient_quantities":[
          {"ingredient":{"item":"ae2:fluix_crystal"},"count":1},
          {"ingredient":{"item":"allthemodium:allthemodium_dust"},"count":4},]
      ,"result":{"item":"allthemodium:allthemodium_crystal", "count":1},
      "bio_forge_tab":"biomancy:misc"}).id('kubejs/allthemodiumcrystal')

  // allthemodium
    event.custom({
      "type":"biomancy:bio_forging",
      "ingredient_quantities":[
          {"ingredient":{"item":"allthemodium:allthemodium_crystal"},"count":1},
          {"ingredient":{"item":"allthemodium:vibranium_dust"},"count":4},]
      ,"result":{"item":"allthemodium:vibranium_crystal", "count":1},
      "bio_forge_tab":"biomancy:misc"}).id('kubejs/vibraniumcrystal')

  // allthemodium
    event.custom({
      "type":"biomancy:bio_forging",
      "ingredient_quantities":[
          {"ingredient":{"item":"allthemodium:vibranium_crystal"},"count":1},
          {"ingredient":{"item":"allthemodium:unobtainium_dust"},"count":4},]
      ,"result":{"item":"allthemodium:unobtainium_crystal", "count":1},
      "bio_forge_tab":"biomancy:misc"}).id('kubejs/unobtainiumcrystal')

  // energy

  event.replaceInput({output : 'ftbic:energy_crystal'}, 'diamond', 'allthemodium:unobtainium_crystal')


// antimatter
    event.custom({
      "type":"biomancy:bio_forging",
      "ingredient_quantities":[
        {"ingredient":{"item":"ftbic:antimatter"},"count":512},
        {"ingredient":{"item":"ftbic:energy_crystal"},"count":1},]
      ,"result":{"item":"ftbic:antimatter_crystal", "count":1},
      "bio_forge_tab":"biomancy:misc"}).id('kubejs/antimattercrystal')


    // prismarine agglomeratio
    event.custom({
        "type":"biomancy:bio_forging",
        "ingredient_quantities":[
            {"ingredient":{"item":"minecraft:prismarine_shard"},"count":2},
            {"ingredient":{"item":"minecraft:prismarine_crystals"},"count":2},]
        ,"result":{"item":"mysticalagriculture:prismarine_agglomeratio", "count":1},
        "bio_forge_tab":"biomancy:misc"}).id('kubejs/prismarine_agglomeratio')


    // copper coil
    event.custom({
        "type":"biomancy:bio_forging",
        "ingredient_quantities":[
            {"ingredient":{"tag":"forge:rods/iron"},"count":1},
            {"ingredient":{"item":"ftbic:copper_wire"},"count":8},]
        ,"result":{"item":"ftbic:copper_coil", "count":1},
        "bio_forge_tab":"biomancy:misc"}).id('kubejs/copper_coil')

    // kepu ingot
    event.custom({
          "type":"biomancy:bio_forging",
          "ingredient_quantities":[
              {"ingredient":{"item":"biomancy:bio_lumens"},"count":256},
              {"ingredient":{"item":"biomancy:stone_powder"},"count":96},
              {"ingredient":{"item":"biomancy:corrosive_additive"},"count":8},
              {"ingredient":{"item":"minecraft:iron_ingot"},"count":2},]
          ,"result":{"item":"tinkers_reforged:kepu_ingot", "count":2}, 
          "bio_forge_tab":"biomancy:misc"}).id('kubejs/kepu_ingot')

    // blaze egg
    event.custom({
            "type":"biomancy:bio_forging",
            "ingredient_quantities": [
              {"ingredient":{"item":"minecraft:egg"},"count":8},
              {"ingredient":{"item":"biomancy:volatile_fluid"},"count":32},
              {"ingredient":{"item":"biomancy:genetic_compound"},"count":16},],
            "result":{"item":"minecraft:blaze_spawn_egg", "count":8},
            "bio_forge_tab":"biomancy:misc"}).id("kubejs/blaze_egg")
        


    function inputSwap(conditionInput, conditionOutput, currentItem, replacementItem)
    {
        event.replaceInput({input : conditionInput, output:conditionOutput}, currentItem, replacementItem)
    }






    // unobtainium dust
    event.replaceInput({output : 'ftbic:reprocessor'}, 'minecraft:composter', 'allthemodium:unobtainium_dust')

    event.custom({
        "type": "ftbic:macerating",
        "inputItems": [
          {
            "ingredient": {
              "item": "allthemodium:unobtainium_ingot"
            },
            "count": 1
          }
        ],
        "outputItems": [
          {
            "item": "allthemodium:unobtainium_dust"
          }
        ]
      })

    event.custom({"type":"biomancy:decomposing","input":{"ingredient":{"item":"minecraft:diamond_block"},"count":1},"outputs":[{"result":{"item":"biomancy:organic_matter","count_range":{"type":"uniform","min":1,"max":2}}}],"time":40})


    //creative tank
    event.custom({
      "type": "draconicevolution:fusion_crafting",
      "result": {
        "item": "create:creative_fluid_tank"
      },
      "catalyst": {
        "item": "create:creative_crate"
      },
      "total_energy": 10000000000000,
      "tier": "CHAOTIC",
      "ingredients": [
        {
          "item": "mob_grinding_utils:jumbo_tank"
        },
        {
          "item": "thermal:fluid_cell"
        },
        {
          "item": "tconstruct:seared_fuel_tank"
        },
        {
          "item": "create:fluid_tank"
        },
        {
          "item": "ae2:sky_stone_tank"
        },
        {
          "item": "minecraft:bucket"
        },
      ]
})


      //wyvern sword
      event.custom({
        "type": "draconicevolution:fusion_crafting",
        "result": {
          "item": "draconicevolution:wyvern_sword"
        },
        "catalyst": {
          "item": "allthemodium:unobtainium_sword"
        },
        "total_energy": 9500000,
        "tier": "WYVERN",
        "ingredients": [
          {
            "item": "draconicevolution:draconium_core"
          },
          {
            "tag": "forge:ingots/draconium"
          },
          {
            "item": "draconicevolution:wyvern_energy_core"
          },
          {
            "tag": "forge:ingots/draconium"
          },
          {
            "tag": "forge:storage_blocks/draconium"
          },
          {
            "item": "draconicevolution:draconium_damage_module"
          }
        ]
  })
  //wyvern pickaxe
      event.custom({
        "type": "draconicevolution:fusion_crafting",
        "result": {
          "item": "draconicevolution:wyvern_pickaxe"
        },
        "catalyst": {
          "item": "allthemodium:unobtainium_pickaxe"
        },
        "total_energy": 9500000,
        "tier": "WYVERN",
        "ingredients": [
          {
            "item": "draconicevolution:draconium_core"
          },
          {
            "tag": "forge:ingots/draconium"
          },
          {
            "item": "draconicevolution:wyvern_energy_core"
          },
          {
            "tag": "forge:ingots/draconium"
          },
          {
            "tag": "forge:storage_blocks/draconium"
          },
          {
            "item": "draconicevolution:draconium_aoe_module"
          }
        ]
  })
  //red matter sword
      event.custom({
        "type": "draconicevolution:fusion_crafting",
        "result": {
          "item": "projecte:rm_sword"
        },
        "catalyst": {
          "item": "draconicevolution:chaotic_sword"
        },
        "total_energy": 300000000001,
        "tier": "CHAOTIC",
        "ingredients": [
          {
            "item": "projecte:red_matter_block"
          },
          {
            "item": "extendedexchange:magenta_matter"
          },
          {
            "item": "extendedexchange:arcane_tablet"
          },
          {
            "item": "extendedexchange:magnum_star_omega"
          },
          {
            "item": "projecte:aeternalis_fuel_block"
          },
          {
            "item": "projecte:catalytic_lens"
          }
        ]
  })

  //red matter pickaxe
      event.custom({
        "type": "draconicevolution:fusion_crafting",
        "result": {
          "item": "projecte:rm_pick"
        },
        "catalyst": {
          "item": "draconicevolution:chaotic_pickaxe"
        },
        "total_energy": 300000000001,
        "tier": "CHAOTIC",
        "ingredients": [
          {
            "item": "projecte:red_matter_block"
          },
          {
            "item": "extendedexchange:magenta_matter"
          },
          {
            "item": "extendedexchange:arcane_tablet"
          },
          {
            "item": "extendedexchange:magnum_star_omega"
          },
          {
            "item": "projecte:aeternalis_fuel_block"
          },
          {
            "item": "projecte:catalytic_lens"
          }
        ]
  })

  //mystical ingots
  event.custom({
    "type": "draconicevolution:fusion_crafting",
    "result": {
      "item": "mysticalagriculture:inferium_ingot"
    },
    "catalyst": {
      "item": "mysticalagriculture:prosperity_ingot"
    },
    "total_energy": 10000,
    "tier": "DRACONIUM",
    "ingredients": [
      {
        "item": "mysticalagriculture:prosperity_shard"
      },
      {
        "item": "mysticalagriculture:prosperity_shard"
      },
      {
        "item": "mysticalagriculture:inferium_essence"
      },
      {
        "item": "mysticalagriculture:inferium_essence"
      },
      {
        "item": "mysticalagriculture:soulium_dust"
      },
      {
        "item": "mysticalagriculture:soulium_dust"
      },
      {
        "item": "mysticalagriculture:experience_droplet"
      },
      {
        "item": "mysticalagriculture:dye_agglomeratio"
      }
    ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "mysticalagriculture:prudentium_ingot"
  },
  "catalyst": {
    "item": "mysticalagriculture:prosperity_ingot"
  },
  "total_energy": 100000,
  "tier": "DRACONIUM",
  "ingredients": [
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prudentium_essence"
    },
    {
      "item": "mysticalagriculture:prudentium_essence"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:experience_droplet"
    },
    {
      "item": "mysticalagriculture:dye_agglomeratio"
    }
  ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "mysticalagriculture:tertium_ingot"
  },
  "catalyst": {
    "item": "mysticalagriculture:prosperity_ingot"
  },
  "total_energy": 1000000,
  "tier": "DRACONIUM",
  "ingredients": [
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:experience_droplet"
    },
    {
      "item": "mysticalagriculture:dye_agglomeratio"
    }
  ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "mysticalagriculture:imperium_ingot"
  },
  "catalyst": {
    "item": "mysticalagriculture:prosperity_ingot"
  },
  "total_energy": 10000000,
  "tier": "DRACONIUM",
  "ingredients": [
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:imperium_essence"
    },
    {
      "item": "mysticalagriculture:imperium_essence"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:experience_droplet"
    },
    {
      "item": "mysticalagriculture:dye_agglomeratio"
    }
  ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "mysticalagriculture:supremium_ingot"
  },
  "catalyst": {
    "item": "mysticalagriculture:prosperity_ingot"
  },
  "total_energy": 100000000,
  "tier": "DRACONIUM",
  "ingredients": [
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:supremium_essence"
    },
    {
      "item": "mysticalagriculture:supremium_essence"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:experience_droplet"
    },
    {
      "item": "mysticalagriculture:dye_agglomeratio"
    }
  ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "mysticalagradditions:insanium_ingot"
  },
  "catalyst": {
    "item": "mysticalagriculture:prosperity_ingot"
  },
  "total_energy": 1000000000,
  "tier": "DRACONIUM",
  "ingredients": [
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagriculture:prosperity_shard"
    },
    {
      "item": "mysticalagradditions:insanium_essence"
    },
    {
      "item": "mysticalagradditions:insanium_essence"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:soulium_dust"
    },
    {
      "item": "mysticalagriculture:experience_droplet"
    },
    {
      "item": "mysticalagriculture:dye_agglomeratio"
    }
  ]
})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "draconicevolution:wyvern_chestpiece"
  },
  "catalyst": {
    "item": "gobber2:gobber2_chestplate_dragon"
  },
  "total_energy": 80000000,
  "tier": "WYVERN",
  "ingredients": [
    {
      "item": "draconicevolution:draconium_core" // aliment.kastracja({infiut : 'kupajs:molesten_profesor'})
    },
    {
      "tag": "forge:ingots/draconium"
    },
    {
      "tag": "forge:ingots/draconium"
    },
    {
      "item": "draconicevolution:basic_relay_crystal"
    },
    {
      "item": "draconicevolution:wyvern_energy_core"
    },
    {
      "item": "draconicevolution:basic_relay_crystal"
    },
    {
      "item": "gobber2:gobber2_leggings_dragon"
    },
    {
      "item": "gobber2:gobber2_helmet_dragon"
    },
    {
      "item": "gobber2:gobber2_boots_dragon"
    },
    {
      "item": "minecraft:dragon_breath"
    }
  ]})
  event.custom({
    "type": "draconicevolution:fusion_crafting",
    "result": {
      "item": "mysticalagriculture:neutronium_essence"
    },
    "catalyst": {
      "item": "mysticalagriculture:awakened_draconium_essence"
    },
    "total_energy": 999999999999,
    "tier": "DRACONIC",
    "ingredients": [
      {
        "item": "mysticalagriculture:dye_essence" // aliment.kastracja({infiut : 'kupajs:molesten_profesor'})
      },
      {
        "item": "mysticalagriculture:mystical_flower_essence"
      },
      {
        "item": "mysticalagriculture:coral_essence"
      },
      {
        "item": "mysticalagradditions:insanium_block"
      }
    ]})
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "draconicevolution:small_chaos_frag"
  },
  "catalyst": {
    "item": "tconstruct:ender_slime_crystal"
  },
  "total_energy": 1000000000000,
  "tier": "DRACONIC",
  "ingredients": [
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
    {
      "item": "ftbic:antimatter_crystal" 
    },
  ]})


const reagents = ["bloodmagic:reagentwater",
"bloodmagic:reagentlava",
"bloodmagic:reagentvoid",
"bloodmagic:reagentgrowth",
"bloodmagic:reagentsight",
"bloodmagic:reagentbloodlight",
"bloodmagic:reagentair",
"bloodmagic:reagentmagnetism",
"bloodmagic:reagentfastminer",
"bloodmagic:reagentteleposition",
"bloodmagic:reagentsuppression",
"bloodmagic:reagentholding"]

event.custom({
  "type": "draconicevolution:fusion_crafting",
  "result": {
    "item": "kubejs:radianced_invincibility_talisman"
  },
  "catalyst": {
    "item": "kubejs:invincibility_talisman"
  },
  "total_energy": 696969696969  ,
  "tier": "CHAOTIC",
  "ingredients": [
    {
      "item": reagents[0]
    },
    {
      "item": reagents[1]
    },
    {
      "item": reagents[2]
    },
    {
      "item": reagents[3]
    },
    {
      "item": reagents[4]
    },
    {
      "item": reagents[5]
    },
    {
      "item": reagents[6]
    },
    {
      "item": reagents[7]
    },
    {
      "item": reagents[8]
    },
    {
      "item": reagents[9]
    },
    {
      "item": reagents[10]
    },
    {
      "item": reagents[11]
    },
  ]})
})
