onEvent('recipes', event => {

    function replaceIn (out,inp,inputswap) {event.replaceInput({output: out},inp,inputswap)}
   
        function customhelmet (outputHelmet, mainIngot, previousHelmet){
        event.remove({output: outputHelmet})
        event.shaped(outputHelmet,["AAA", "ABA"],{A: mainIngot, B: Item.of(previousHelmet),})}
        
        function customchestplate (outputChestplate, mainIngot, previousChestplate){
        event.remove({output: outputChestplate})
        event.shaped(outputChestplate,["ABA", "AAA", 'AAA'],{A: mainIngot,B: Item.of(previousChestplate),})}
        
        function customleggings (outputLeggings, mainIngot, previousLeggings){
        event.remove({output: outputLeggings})
        event.shaped(outputLeggings,["AAA", "ABA", 'A A'],{A: mainIngot,B: Item.of(previousLeggings),})}
        
        function customboots (outputBoots, mainIngot, previousBoots){
        event.remove({output: outputBoots})
        event.shaped(outputBoots,["ABA", "A A",],{A: mainIngot,B: Item.of(previousBoots),})}

        function customsword (outputSword, stick, previousSword){
        event.replaceInput({output: outputSword}, stick, Item.of(previousSword))}

        function custompickaxe (outputPickaxe, mainIngot, previousPickaxe,rod){
        event.remove({output: outputPickaxe})
        event.shaped(outputPickaxe,["AAA", " B "," C "],{A: mainIngot,B: Item.of(previousPickaxe),C: rod})}


            
            
        


//gem armor
replaceIn('projecte:gem_helmet','projecte:klein_star_omega', 'ftbic:protein_bar')
replaceIn('projecte:gem_chestplate','projecte:klein_star_omega', 'ftbic:protein_bar')
replaceIn('projecte:gem_leggings','projecte:klein_star_omega', 'ftbic:protein_bar')
replaceIn('projecte:gem_boots','projecte:klein_star_omega', 'ftbic:protein_bar')

//quantum armor

event.replaceInput({output : 'ftbic:quantum_helmet'},'#forge:carbonarmor', 'projecte:gem_helmet')
event.replaceInput({output : 'ftbic:quantum_chestplate'},'#forge:carbonarmor', 'projecte:gem_chestplate')
event.replaceInput({output : 'ftbic:quantum_leggings'},'#forge:carbonarmor', 'projecte:gem_leggings')
event.replaceInput({output : 'ftbic:quantum_boots'},'#forge:carbonarmor', 'projecte:gem_boots')

//red matter armor
replaceIn('projecte:rm_helmet','projecte:dm_helmet','ftbic:carbon_plate')
replaceIn('projecte:rm_chestplate','projecte:dm_chestplate','ftbic:carbon_plate')
replaceIn('projecte:rm_leggings','projecte:dm_leggings','ftbic:carbon_plate')
replaceIn('projecte:rm_boots','projecte:dm_boots','ftbic:carbon_plate')

//allthemodium
customhelmet('allthemodium:allthemodium_helmet','allthemodium:allthemodium_ingot', 'gobber2:gobber2_helmet_end')
customchestplate('allthemodium:allthemodium_chestplate','allthemodium:allthemodium_ingot', 'gobber2:gobber2_chestplate_end')
customleggings('allthemodium:allthemodium_leggings','allthemodium:allthemodium_ingot', 'gobber2:gobber2_leggings_end')
customboots('allthemodium:allthemodium_boots','allthemodium:allthemodium_ingot', 'gobber2:gobber2_boots_end')

//end armor gobber
customhelmet('gobber2:gobber2_helmet_end','gobber2:gobber2_ingot_end','gobber2:gobber2_helmet_nether')
customchestplate('gobber2:gobber2_chestplate_end','gobber2:gobber2_ingot_end','gobber2:gobber2_chestplate_nether')
customleggings('gobber2:gobber2_leggings_end','gobber2:gobber2_ingot_end','gobber2:gobber2_leggings_nether')
customboots('gobber2:gobber2_boots_end','gobber2:gobber2_ingot_end','gobber2:gobber2_boots_nether')

//nether armor gobber
customhelmet('gobber2:gobber2_helmet_nether','gobber2:gobber2_ingot_nether','gobber2:gobber2_helmet')
customchestplate('gobber2:gobber2_chestplate_nether','gobber2:gobber2_ingot_nether','gobber2:gobber2_chestplate')
customleggings('gobber2:gobber2_leggings_nether','gobber2:gobber2_ingot_nether','gobber2:gobber2_leggings')
customboots('gobber2:gobber2_boots_nether','gobber2:gobber2_ingot_nether','gobber2:gobber2_boots')

//gobber armor
customhelmet('gobber2:gobber2_helmet','gobber2:gobber2_ingot','minecraft:netherite_helmet')
customchestplate('gobber2:gobber2_chestplate','gobber2:gobber2_ingot','minecraft:netherite_chestplate')
customleggings('gobber2:gobber2_leggings','gobber2:gobber2_ingot','minecraft:netherite_leggings')
customboots('gobber2:gobber2_boots','gobber2:gobber2_ingot','minecraft:netherite_boots')

//swords
customsword('gobber2:gobber2_sword','gobber2:gobber2_rod','minecraft:netherite_sword')
customsword('gobber2:gobber2_sword_nether','gobber2:gobber2_rod_nether','gobber2:gobber2_sword')
customsword('gobber2:gobber2_sword_end','gobber2:gobber2_rod_end','gobber2:gobber2_sword_nether')
customsword('allthemodium:allthemodium_sword','allthemodium:allthemodium_rod','gobber2:gobber2_sword_end')
            replaceIn('allthemodium:allthemodium_sword','allthemodium:allthemodium_plate','allthemodium:allthemodium_ingot')
customsword('allthemodium:vibranium_sword','allthemodium:vibranium_rod','allthemodium:allthemodium_sword')
            replaceIn('allthemodium:vibranium_sword','allthemodium:vibranium_plate','allthemodium:vibranium_ingot')
customsword('allthemodium:unobtainium_sword','allthemodium:unobtainium_rod','allthemodium:vibranium_sword')
            replaceIn('allthemodium:unobtainium_sword','allthemodium:unobtainium_plate','allthemodium:unobtainium_ingot')

//pickaxes
custompickaxe('gobber2:gobber2_pickaxe','gobber2:gobber2_ingot','minecraft:netherite_pickaxe','gobber2:gobber2_rod')
custompickaxe('gobber2:gobber2_pickaxe_nether','gobber2:gobber2_ingot_nether','gobber2:gobber2_pickaxe','gobber2:gobber2_rod_nether')
custompickaxe('gobber2:gobber2_pickaxe_end','gobber2:gobber2_ingot_end','gobber2:gobber2_pickaxe_nether','gobber2:gobber2_rod_end')
custompickaxe('allthemodium:allthemodium_pickaxe','allthemodium:allthemodium_ingot','gobber2:gobber2_pickaxe_end','allthemodium:allthemodium_rod')
custompickaxe('allthemodium:vibranium_pickaxe','allthemodium:vibranium_ingot','allthemodium:allthemodium_pickaxe','allthemodium:vibranium_rod')
custompickaxe('allthemodium:unobtainium_pickaxe','allthemodium:unobtainium_ingot','allthemodium:vibranium_pickaxe','allthemodium:unobtainium_rod')
})


//custom tags
onEvent('tags.items', event => 
{
    event.add('forge:carbonarmor', 'ftbic:carbon_helmet','ftbic:carbon_chestplate','ftbic:carbon_leggings','ftbic:carbon_boots')
    
})


