

onEvent('item.right_click', event => {

  if (event.item.id == 'minecraft:blaze_rod')
  {
      for (let i = 1; i > 0; i--)
      {
          event.server.runCommandSilent('/scoreboard players add ' + event.player.displayName.getString() + ' klik 1')
      }
  }

  if (event.item.id == 'minecraft:end_rod')
  {
      for (let i = 1; i > 0; i--)
      {
          event.server.runCommandSilent('/scoreboard players add ' + event.player.displayName.getString() + ' klik 1000000')
      }
  }
})

onEvent('recipes', event => {

    function ingot_remove(ingot) {event.remove({output : "tinkers_reforged:" + ingot + "_ingot"})}
    function tinkers_ingot_remove(ingot) {event.remove({output : "tconstruct:" + ingot + "_ingot"})}
    function tinkers_casting() {}
    function alloy(output, material1, material2, material3) {event.recipes.thermal.smelter(output, [material1,material2,material3])}
    function id_remove(id_value) {event.remove({id : id_value})}


    id_remove("tinkers_reforged:smeltery/alloy/gausum")
    id_remove('bloodsmeltery:smeltery/alloy/bloodbrass')
    id_remove('tinkers_reforged:smeltery/alloy/cyber_steel')
    id_remove('tinkers_reforged:smeltery/alloy/durasteel')
    
    event.recipes.tconstruct.casting_table(Item.of('tconstruct:soulsteel_ingot'), 'tinkers_reforged:molten_wavy').cast('tinkers_reforged:gausum_ingot').consumeCast()
    event.recipes.tconstruct.casting_table(Item.of('tinkers_reforged:epidote_gem'), 'tconstruct:molten_queens_slime').cast('minecraft:amethyst_shard').consumeCast()
    event.recipes.tconstruct.casting_table(Item.of('tinkers_reforged:red_beryl_gem'), 'tconstruct:molten_rose_gold').cast('minecraft:diamond').consumeCast()
    event.recipes.tconstruct.casting_table(Item.of('tinkers_reforged:hureaulite_gem'), 'thermal:redstone').cast('minecraft:diamond').consumeCast()

    event.remove({input : 'minecraft:crimson_fungus', output : 'tinkers_reforged:wavy_ingot'})
    event.remove({input : 'minecraft:warped_fungus', output : 'tinkers_reforged:wavy_ingot'})
    event.remove({input : 'tconstruct:cobalt_ingot', output : 'tinkers_reforged:qivium_ingot'})
    event.remove({input : 'tconstruct:cobalt_ingot', output : 'tinkers_reforged:lavium_ingot'})
    event.remove({input : 'tconstruct:cobalt_block', output : 'tinkers_reforged:lavium_block'})
      
    event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "forge:molten_yokel",
            "amount": 180
          },
          {
            "tag": "forge:molten_felsteel",
            "amount": 90
          },
          {
            "tag": "tconstruct:molten_quartz",
            "amount": 400
          }
        ],
        "result": {
          "fluid": "tinkers_reforged:molten_lavium",
          "amount": 180
        },
        "temperature": 1400
      }).id('kubejs:molten_lavium')

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tinkers_reforged:molten_proto_lava",
            "amount": 10000
          },
          {
            "tag": "tinkers_reforged:molten_gausum",
            "amount": 1
          },
          {
            "tag": "tconstruct:molten_quartz",
            "amount": 400
          }
        ],
        "result": {
          "fluid": "allthemodium:soul_lava",
          "amount": 10
        },
        "temperature": 1400
      }).id('kubejs:soul_lava')

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tconstruct:molten_manyullyn",
            "amount": 90
          },
          {
            "tag": "tinkers_reforged:molten_durasteel",
            "amount": 240
          },
          {
            "tag": "tinkers_reforged:molten_crusteel",
            "amount": 45
          }
        ],
        "result": {
          "fluid": "tinkers_reforged:molten_wavy",
          "amount": 600
        },
        "temperature": 2500
      })

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tconstruct:liquid_soul",
            "amount": 130
          },
          {
            "tag": "bloodmagic:life_essence_fluid",
            "amount": 65
          },
          {
            "tag": "tinkers_reforged:liquid_coal",
            "amount": 35
          }
        ],
        "result": {
          "fluid": "mysticalagradditions:molten_soulium",
          "amount": 230
        },
        "temperature": 1000
      })

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tinkers_reforged:molten_chorus_metal",
            "amount": 165
          },
          {
            "tag": "allthemodium:molten_vibunob",
            "amount": 75
          },
          {
            "tag": "kubejs:molten_processor",
            "amount": 470
          }
        ],
        "result": {
          "fluid": "tinkers_reforged:molten_cyber_steel",
          "amount": 90
        },
        "temperature": 1000
      })

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tinkers_reforged:molten_baolian",
            "amount": 70
          },
          {
            "tag": "tconstruct:molten_hepatizon",
            "amount": 250
          },
        ],
        "result": {
          "fluid": "tinkers_reforged:molten_durasteel",
          "amount": 410
        },
        "temperature": 1000
      })

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tconstruct:molten_pig_iron",
            "amount": 90
          },
          {
            "tag": "tconstruct:molten_rose_gold",
            "amount": 90
          },      
        ],
        "result": {
          "fluid": "tinkers_reforged:molten_qivium",
          "amount": 180
        },
        "temperature": 1000
      })

  event.custom({
        "type": "tconstruct:alloy",
        "inputs": [
          {
            "tag": "tconstruct:earth_slime",
            "amount": 300
          },
          {
            "tag": "tconstruct:molten_queens_slime",
            "amount": 300
          }, 
          {
            "tag": "tconstruct:molten_slimesteel",
            "amount": 300
          },     
        ],
        "result": {
          "fluid": "tconstruct:molten_knightslime",
          "amount": 900
        },
        "temperature": 1000
      })


    tinkers_ingot_remove("pig_iron")
    tinkers_ingot_remove("")
    tinkers_ingot_remove("")
    tinkers_ingot_remove("")
    tinkers_ingot_remove("")
    tinkers_ingot_remove("")

    event.remove({id : 'avaritia:infinity_ingot'})
    event.recipes.createMechanicalCrafting('avaritia:infinity_ingot', [

        'A1P 3 5xA',
        'T YUREL 6',
        '2SD Q rC7',
        ' h NWO K ',
        '4BtV XIZH',
        ' k fdF j ',
        'qwp m MJe',
        'l bzcyu o',
        'Aav n GgA',
    ], {
    
        Q : "gobber2:gobber2_ingot_nether",//1
        W : "tinkers_reforged:blazing_copper_ingot",//1
        E : "tinkers_reforged:electrical_copper_ingot",//1
        R : "minecraft:gold_ingot",//1
        T : "tconstruct:queens_slime_ingot",//1
        Y : "tinkers_reforged:qivium_ingot",//0
        U : "tinkers_reforged:lavium_ingot",//1
        I : "allthemodium:allthemodium_ingot",//1
        O : "tinkers_reforged:gausum_ingot",//1
        P : "mysticalagriculture:soulium_ingot",//1
        A : "avaritia:infinity_catalyst",//1
        S : "gobber2:gobber2_ingot_end",//1
        D : "tconstruct:pig_iron_ingot",//1
        F : "tinkers_reforged:chorus_metal_ingot",//1
        G : "allthemodium:unobtainium_allthemodium_alloy_ingot",//1
        H : "mysticalagriculture:inferium_ingot",//1
        J : "mysticalagriculture:supremium_ingot",//1
        K : "allthemodium:vibranium_ingot",//1
        L : "mysticalagriculture:prosperity_ingot",//1
        Z : "tinkers_reforged:wavy_ingot",//1
        X : "tinkers_reforged:galu_ingot",//1
        C : "tconstruct:cobalt_ingot",//0
        V : "mysticalagriculture:prudentium_ingot",//1
        B : "tconstruct:amethyst_bronze_ingot",//1
        N : "mysticalagriculture:tertium_ingot",//1
        M : "tconstruct:hepatizon_ingot",//1
        q : "mysticalagradditions:insanium_ingot",//1
        w : "allthemodium:unobtainium_ingot",//1
        e : "tinkers_reforged:felsteel_ingot",//1
        r : "tconstruct:rose_gold_ingot",//1
        t : "tinkers_reforged:crusteel_ingot",//1
        y : "allthemodium:vibranium_allthemodium_alloy_ingot",//1
        u : "minecraft:netherite_ingot",//1
        o : "tinkers_reforged:durasteel_ingot",//1
        p : "bloodmagic:ingot_hellforged",//1
        a : "tconstruct:knightslime_ingot",//0
        d : "minecraft:copper_ingot",//1
        f : "minecraft:iron_ingot",//1
        g : "bloodsmeltery:bloodbrass_ingot",//1
        h : "tinkers_reforged:yokel_ingot",//1
        j : "avaritia:neutronium_ingot",//1
        k : "gobber2:gobber2_ingot",//1
        l : "tinkers_reforged:kepu_ingot",//1
        z : "tinkers_reforged:gelot_ingot",//1
        x : "allthemodium:unobtainium_vibranium_alloy_ingot",//1
        c : "draconicevolution:awakened_draconium_ingot",//1
        v : "tinkers_reforged:piroot_ingot",//1
        b : "tconstruct:slimesteel_ingot",//1
        n : "tinkers_reforged:cyber_steel_ingot",//1
        m : "tinkers_reforged:magma_steel_ingot",//1
        "1" : "draconicevolution:draconium_ingot",//1
        "2" : "tconstruct:manyullyn_ingot",//1
        "3" : "tinkers_reforged:duralumin_ingot",//1
        "4" : "mysticalagriculture:imperium_ingot",//1
        "5" : "tconstruct:soulsteel_ingot",//1
        "6" : "avaritia:crystal_matrix_ingot",//1
        "7" : "tinkers_reforged:baolian_ingot",//1
    })

})
