onEvent('item.registry', event => {


    // create assembly transitional items
    event.create('incomplete_sanguinereverter', 'create:sequenced_assembly').displayName("Incomplete Sanguine Reverter");

    event.create('incomplete_sapphire_dust', 'create:sequenced_assembly').displayName("Incomplete Sapphire Dust")
    event.create('incomplete_ruby_dust', 'create:sequenced_assembly').displayName("Incomplete Ruby Dust")

    // apparatus armamentis
    event.create('apparatus_armamentis').displayName("Apparatus Armamentis").unstackable().rarity("epic").tooltip("Use on Displacement Rune to turn it into ARC");

    // circuits
    event.create('incomplete_electronic_circuit', 'create:sequenced_assembly').displayName("Incomplete Electronic Circuit")
    event.create('incomplete_advanced_circuit', 'create:sequenced_assembly').displayName("Incomplete Advanced Circuit")
    event.create('incomplete_iridium_circuit', 'create:sequenced_assembly').displayName("Incomplete Iridium Circuit")

    // Invulnerability Talisman
    event.create('invincibility_talisman').displayName("Invulnerability Talisman").rarity("rare")

    // Radianced Invincibility Talisman
    event.create('radianced_invincibility_talisman').displayName("Radianced Invulnerability Talisman").rarity("epic")



    // essentia iaculis
    event.create('essentia_iaculis', 'axe').displayName("Essentia Iaculis").unstackable().rarity("rare").attackDamageBaseline(28).maxDamage()
})


onEvent('block.registry', event => {

    event.create('greenscreen').displayName('Green Screen')

})

onEvent('item.modification', reg => {
    reg.modify('thermal:enderium_nugget', item => {
        item.foodProperties = food => {
            food.hunger(2).saturation(1).fastToEat()
        }
    })
})


onEvent('fluid.registry', event => {
    event.create('molten_processor')
    .thickTexture(0xEFF1ED)
    .bucketColor(0xEFF1ED)
    .displayName('Molten Processor')
})




const $ConversionRecipe = java('com.simibubi.create.compat.jei.ConversionRecipe')

let tickCount = 0

onEvent('client.logged_in', e => {
    tickCount = 1
})

onEvent('client.tick', e => {
    if (tickCount && tickCount < 200){
        tickCount++
    }else if (tickCount == 200) {
        global.jeiRuntime.recipeManager.addRecipe(new $ConversionRecipe.create('minecraft:apple', 'minecraft:carrot'), 'create:mystery_conversion')
        tickCount = 0
    }
})

